Kerbal Space Program - Bug #2104

load button does nothing when clicked in SPH when a corrupt plane file exists
02/20/2014 04:08 AM - JustinKerbice

Status: Closed Start date: 02/20/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.23 Language: English (US)
Platform: Linux, Win32 Mod Related: No
Expansion:

Description

For one reason or another, an auto saved ship contains only:
ship = Vessel Name

version = 0.23.0

description = Description

type = SPH

But, the worth thing is when trying to load any "plane" (=anything built in SPH), the button doesn't pop-up the load window and log
(the one in KSP_Data dir), see included logs.

How to reproduce:

-create an Auto-Saved Ship.craft with the content above in your savesdir/Ships/SPH folder
-run the game

-go to the SPH, click on load button

=> no load window shows

(but going to VAB, load works)

workaround:
-delete the bad file

version: 0.23
tested with a clean/no mod install

note: | don't know at all how such an autosaved ship has been created, but it's not relevant here, the issue is the handling of a bad
ship file.

History

#1 - 07/22/2014 06:47 PM - jakkarth

Same happened for me in 0.24 in the VAB. Mine was Vessel Name.craft, contents:

ship = Vessel Name
version = 0.24.0
description = Description
type = VAB

Same errors in the log file, same workaround fixes the problem.

#2 - 07/27/2015 05:55 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 07/28/2015 03:24 AM - jakkarth

Forgot to mention that | experienced this problem on Linux, not Win32.

#4 - 07/28/2015 10:44 AM - Squelch

- Platform Linux added
Is this still a problem in the current release? Steps were taken to filter invalid craft since 0.24 so this should be resolved.

#5 - 08/03/2015 05:14 PM - Squelch

- Status changed from New to Need More Info

#6 - 08/03/2015 08:19 PM - jakkarth
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

In Linux 1.0.4, | am unable to reproduce the original problem of the ship list not populating. The broken ship does show up in the ship list, but when |
try to load it the editor returns to its empty state. There are a few messages in the Player log:

[ShipConstruction]: No thumbnail image exists for thumbs/Jaknaut Aerospace_VAB_crashtest
ArgumentOutOfRangeException: Argument is out of range.
Parameter name: index

All'in all, much better user experience now, and while an error message about being unable to load the craft would be nice, | think we could call this
fixed as it stands.

#7 - 11/20/2015 01:28 PM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

No longer reproducible in build 1028 Linux.

#8 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed

Files

KSP.log 95.3 KB 02/20/2014 JustinKerbice
output_log.txt 229 KB 02/20/2014 JustinKerbice
Auto-Saved Ship.craft 77 Bytes 02/20/2014 JustinKerbice
